package mlp

// Rarity denotes a card's rarity
type Rarity string

// All card rarities
const (
	RarityCommon    Rarity = "C"
	RarityUncommon  Rarity = "U"
	RarityRare      Rarity = "R"
	RaritySuperRare Rarity = "SR"
	RarityUltraRare Rarity = "UR"
	RarityRoyalRare Rarity = "RR"
)

// SetID denotes a card's set
type SetID string

// All sets
const (
	SetPremiere             SetID = "PR"
	SetCanterlotNights      SetID = "CN"
	SetRockNRave            SetID = "RR"
	SetCelestialSolstice    SetID = "CS"
	SetCrystalGames         SetID = "CG"
	SetAbsoluteDiscord      SetID = "AD"
	SetEquestrialOdysseys   SetID = "EO"
	SetHighMagic            SetID = "HM"
	SetMarksInTime          SetID = "MT"
	SetDefendersOfEquestria SetID = "DE"
	SetSeaquestriaBeyond    SetID = "SB"
	SetFriendsForever       SetID = "FF"
)

// BlockID denotes a certain block
type BlockID string

// All blocks
const (
	BlockPremiere  BlockID = "PR" // Premiere block - PR/CN/CG/AD
	BlockOdyssey   BlockID = "EO" // Odyssey block - EO/HM/MT
	BlockDefenders BlockID = "DE" // Defenders block - DE/SB/FF
)
